## net.sf.jftp.event
Class FtpEventHandler

    java.lang.Object
      net.sf.jftp.event.FtpEventHandler

All Implemented Interfaces:
  EventHandler

    public class FtpEventHandler

extends java.lang.Object
implements EventHandler

Constructor Summary
`FtpEventHandler()`

Method Summary
`void` `cd(java.util.Vector args)`
`void` `disconnect(java.util.Vector args)`
`void` `get(java.util.Vector args)`
`boolean` `handle(Event e)`
`void` `open(java.util.Vector args)`
`void` `put(java.util.Vector args)`
`void` `pwd(java.util.Vector args)`
`void` `quit(java.util.Vector args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FtpEventHandler

    public FtpEventHandler()

Method Detail

### open

    public void open(java.util.Vector args)

### disconnect

    public void disconnect(java.util.Vector args)

### cd

    public void cd(java.util.Vector args)

### pwd

    public void pwd(java.util.Vector args)

### get

    public void get(java.util.Vector args)

### put

    public void put(java.util.Vector args)

### quit

    public void quit(java.util.Vector args)

### handle

    public boolean handle(Event e)

  Specified by:
    `handle` in interface `EventHandler`